
import java.awt.Button;
import java.awt.Color;
import java.awt.Frame;
import java.awt.GridLayout;
import java.awt.Label;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

class BoutonLancer extends Button implements ActionListener {
	int v;
	Label l;
	
	BoutonLancer(Label l) {
		super("Lancer");
		addActionListener(this);
		this.l = l;
	}
		public void actionPerformed(ActionEvent e) {
			v = (int)(Math.random() * 6) + 1;
			l.setText("LANCER= "+v);
			System.out.println(v);
	}
}

public class Examen extends Frame implements WindowListener, ActionListener {
	private Button bouton1, bouton2;
	private Label label1, label2;
	private int cumul = 0;
	private int nbDeLancer = 0;
	
	public Examen() {	
		super("Examen Juin 2005");
		setBackground(Color.YELLOW);
		setResizable(false);
		addWindowListener(this);
		setLayout(new GridLayout(2, 2));
		
		label1 = new Label("LANCER = ");
		label2 = new Label("MOYENNE = ???????????");
		bouton1 = new Button("Lancer");
		bouton2 = new Button("Reset");
		add(bouton1);
		add(label1);
		add(bouton2);
		add(label2);
		
		bouton1.addActionListener(this);
		bouton2.addActionListener(this);
		pack();
		setVisible(true);
	}

	public void actionPerformed(ActionEvent e){
		if (e.getSource() == bouton1)
		{
			int v = (int)(Math.random() * 6) + 1;
			label1.setText("LANCER= "+v);
			nbDeLancer++;
			cumul += v;
			label2.setText("MOYENNE = "+ ((double)cumul/nbDeLancer));
		}
		if (e.getSource() == bouton2)
		{
			label1.setText("LANCER= ");
			label2.setText("MOYENNE = ???????????");
			nbDeLancer = 0;
			cumul = 0;
		}
	}
	
	public void windowActivated(WindowEvent e) {
	}

	public void windowClosed(WindowEvent e) {
	}

	public void windowClosing(WindowEvent e) {
		System.exit(0);
	}

	public void windowDeactivated(WindowEvent e) {
	}

	public void windowDeiconified(WindowEvent e) {
	}

	public void windowIconified(WindowEvent e) {
	}

	public void windowOpened(WindowEvent e) {
	}

	public static void main(String[] s) {
		new Examen();
	}

}